 clear all
 close all
  
  
figure 
 

[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(411)
 imagesc(c)
 axis xy
 title('FEPSTRUM Kepstrum-zakladne kepstralne koef. (clean,white,music,street)')
 
[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(412)
 imagesc(c)
 axis xy
 
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(413)
 imagesc(c)
 axis xy
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(414)
 imagesc(c)
 axis xy
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 

figure 
 

[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
    subplot(411)
 imagesc(vx)
 axis xy
 title('FEPSTRUM Kepstrum-diferencne kepstralne koef. (clean,white,music,street)')
 
 
[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(412)
 imagesc(vx)
 axis xy
 
 

 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(413)
 imagesc(vx)
 axis xy
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
    subplot(414)
 imagesc(vx)
 axis xy
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 

figure 
 

[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(411)
 imagesc(ax)
 axis xy
 title('FEPSTRUM Kepstrum-akceleracne kepstralne koef. (clean,white,music,street)')
 
 
[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(412)
 imagesc(ax)
 axis xy
 
 

 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(413)
 imagesc(ax)
 axis xy
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(414)
 imagesc(ax)
 axis xy
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  

figure 
 

[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(411)
 imagesc(all)
 axis xy
 title('FEPSTRUM Kepstrum-39 kepstralnych koef. (clean,white,music,street)')
 
 
[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(412)
 imagesc(all)
 axis xy
 
 

 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(413)
 imagesc(all)
 axis xy
 
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
    subplot(414)
 imagesc(all)
 axis xy